# System processes

System processes are processes that are critical to the functioning of Valtimo itself. Since these processes should be handled with care, these processes are flagged as read-only by default. When a process is read-only, it is not possible to update the process or deploy it.

![Read only system process](/files/PnHA1hNOw6fhiWC2sqIX)

A process can be marked as a system process by setting a property called `systemProcess` to `true` on the model itself under the `Extensions` tab.

![Setting system process property](/files/eKhicNEfsmCQNpf2PTpz)

## Make system process updatable

By default, system processes are marked as read-only. To override this, a property has to be set in the `application.yml` of the back-end implementation. The property is called `valtimo.process.systemProcessUpdatable` and this should have the value `true`. The default value of this property is `false`.

```yaml
valtimo:
    process:
        systemProcessUpdatable: true
```

When a system process is updatable it is possible to make changes to the process and the `Deploy` button is available again. A message is shown to warn the user about changing a system process.

![System process](/files/x6v8K5EQDJiiRktDFUx5)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/features/process/systemprocesses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
